%define qtinc   %(qmake -query QT_INSTALL_PREFIX)/include
%define qtlib   %(qmake -query QT_INSTALL_PREFIX)/lib

Name:           qwtplot3d
Version:        0.2.7
Release:        10%{?dist}
Summary:        Qt/OpenGL-based C++ library providing a bunch of 3D-widgets

Group:          System Environment/Libraries
#zlib/libpng License
License:        zlib
URL:            http://qwtplot3d.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt3-devel
BuildRequires:  libXmu-devel

%description
QwtPlot3D is not a program, but a feature-rich Qt/OpenGL-based C++
programming library, providing essentially a bunch of 3D-widgets for
programmers.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       qt3-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%package        qt4
Summary:        Qt4/OpenGL-based C++ library providing a bunch of 3D-widgets
Group:          System Environment/Libraries
BuildRequires:  qt4-devel

%description    qt4
QwtPlot3D is not a program, but a feature-rich Qt4/OpenGL-based C++
programming library, providing essentially a bunch of 3D-widgets for
programmers.

%package        qt4-devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-qt4 = %{version}-%{release}
Requires:       qt4-devel

%description    qt4-devel
The %{name}-devel package contains qt4 libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -n %{name}

#fix line endings
%{__sed} -i 's/\r//' COPYING
find examples -type f | xargs %{__sed} -i 's/\r//'

%{__sed}  -i "s|-fno-exceptions|-fno-exceptions %{optflags} |" qwtplot3d.pro examples/common.pro
%{__sed}  -i "s|0.2.6|%{version}|" qwtplot3d.pro

# treating soname
%{__sed}  -i "s|TARGET *= qwtplot3d|TARGET = qwtplot3d-qt4|" qwtplot3d.pro

# fixing gcc4.4 build
%{__sed}  -i "4i\#include <cstdio>" src/qwt3d_function.cpp

%{__mkdir} qt4

%build

#QT4

cd qt4
qmake-qt4 ../qwtplot3d.pro
%{__make} %{?_smp_mflags}

%{__make} clean
cd ..
# treating soname
%{__sed}  -i "s|TARGET *= qwtplot3d-qt4|TARGET = qwtplot3d|" qwtplot3d.pro

#QT3

qmake qwtplot3d.pro
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

#QT3
%{__mkdir} -p %{buildroot}%{qtlib}
%{__install} -p -m 0755 lib/libqwtplot3d.so.%{version} %{buildroot}%{qtlib}
ln -s libqwtplot3d.so.%{version} %{buildroot}%{qtlib}/libqwtplot3d.so
#rm -f %{buildroot}%{qtlib}/libqwtplot3d.so.0
ln -s libqwtplot3d.so.%{version} %{buildroot}%{qtlib}/libqwtplot3d.so.0


%{__mkdir} -p %{buildroot}%{qtinc}/qwtplot3d
%{__install} -p -m 0644 include/* %{buildroot}%{qtinc}/qwtplot3d


# QT4

%{__mkdir} -p %{buildroot}%{_qt4_headerdir}/qwtplot3d
%{__install} -p -m 0644 include/* %{buildroot}%{_qt4_headerdir}/qwtplot3d

cd qt4
%{__mkdir} -p %{buildroot}%{_qt4_libdir}
%{__install} -p -m 0755 lib/libqwtplot3d-qt4.so.%{version} %{buildroot}%{_qt4_libdir}
ln -s libqwtplot3d-qt4.so.%{version} %{buildroot}%{_qt4_libdir}/libqwtplot3d-qt4.so
#rm -f %{buildroot}%{_qt4_libdir}/libqwtplot3d-qt4.so.0
ln -s libqwtplot3d-qt4.so.%{version} %{buildroot}%{_qt4_libdir}/libqwtplot3d-qt4.so.0


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%post qt4 -p /sbin/ldconfig

%postun qt4 -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING
%{qtlib}/libqwtplot3d.so.*

%files qt4
%doc COPYING
%defattr(-,root,root,-)
%{_qt4_libdir}/libqwtplot3d-qt4.so.*

%files qt4-devel
%defattr(-,root,root,-)
%doc examples
%{_qt4_headerdir}/%{name}/
%{_qt4_libdir}/libqwtplot3d-qt4.so

%files devel
%defattr(-,root,root,-)
%doc examples
%{qtinc}/%{name}/
%{qtlib}/libqwtplot3d.so


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 05 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2.7-8
- fixed failed build on gcc 4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.2.7-6
- s/qt-devel/qt3-devel/

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.7-5
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2.7-4
- fixed -qt4 symbolic links
- update license to zlib

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2.7-3
- queued for mass rebuild for Fedora 8 - BuildID

* Wed Aug 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2.7-2
- built and shipped qwtplot3d-qt4 and devel

* Mon Jul 30 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2.7-1
- New upstream release
- Added optflags to the make process
- fix ownership

* Tue Jan 02 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.6-2
- Added qt-devel to -devel subpackage requires

* Sun Dec 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.6-1
- Initial RPM release
